> For the complete documentation index, see [llms.txt](https://docs.menanak47.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.menanak47.com/esx/ak47_clothing/configuration.md).

# Configuration

### ESX Version

Set your ESX version here. (skip if you are using latest version if ESX)

```lua
Config.ESXVersion = 'legacy' -- 1.1 , 1.2, final, legacy (try all variation if menu is not popping up)
```

### Character Creation Menu

This is the list of menus that will be visible when character creation opens. Selected means which menu will be selected by default after opening. You can remove a menu from character creation if you don't want that. Example:

{% tabs %}
{% tab title="Original" %}

```lua
Config.CharacterCreationMenu = {
    {menu = "character", label = "Character", selected = true},
    {menu = "clothing", label = "Clothing", selected = false},
    {menu = "accessoires", label = "Accessories", selected = false},
    {menu = "tattoos", label = "Tattoos", selected = false},
}
```

{% endtab %}

{% tab title="Modified" %}

```lua
Config.CharacterCreationMenu = {
    {menu = "character", label = "Character", selected = true},
    {menu = "clothing", label = "Clothing", selected = false},
    {menu = "accessoires", label = "Accessories", selected = false},
}
```

tattoos option removed
{% endtab %}
{% endtabs %}

### Accessories

Must set character default accessorial value. As example, for male characters, I don't have any shoes in clothing id 34. Remember, if you install a clothing pack, this value will be changed. So, you have to set values again in Config.AccessoryDefaults.

```lua
Config.AccessoryDefaults = {
    torso = {
        male = {
            ['tshirt_1'] = 15, ['tshirt_2'] = 0,
            ['torso_1'] = 15, ['torso_2'] = 0,
            ['arms'] = 15
        },
        female = {
            ['tshirt_1'] = 15, ['tshirt_2'] = 0,
            ['torso_1'] = 15, ['torso_2'] = 0,
            ['arms'] = 15
        }
    },
    pants = {
        male = {
            ['pants_1'] = 14, ['pants_2'] = 0
        },
        female = {
            ['pants_1'] = 15, ['pants_2'] = 0
        }
    },
    shoes = {
        male = {
            ['shoes_1'] = 34, ['shoes_2'] = 0
        },
        female = {
            ['shoes_1'] = 35, ['shoes_2'] = 0
        }
    },
    hat = {
        male = {
            ['helmet_1'] = -1, ['helmet_2'] = 0
        },
        female = {
            ['helmet_1'] = -1, ['helmet_2'] = 0
        }
    },
    vest = {
        male = {
            ['bproof_1'] = 0, ['bproof_2'] = 0
        },
        female = {
            ['bproof_1'] = 0, ['bproof_2'] = 0
        }
    },
    chain = {
        male = {
            ['chain_1'] = 0, ['chain_2'] = 0
        },
        female = {
            ['chain_1'] = 0, ['chain_2'] = 0
        }
    },
    mask = {
        male = {
            ['mask_1'] = 0, ['mask_2'] = 0
        },
        female = {
            ['mask_1'] = 0, ['mask_2'] = 0
        }
    },
    glasses = {
        male = {
            ['glasses_1'] = 0, ['glasses_2'] = 0
        },
        female = {
            ['glasses_1'] = 5, ['glasses_2'] = 0
        }
    },
    bag = {
        male = {
            ['bags_1'] = 0, ['bags_2'] = 0
        },
        female = {
            ['bags_1'] = 0, ['bags_2'] = 0
        }
    },
    ears = {
        male = {
            ['ears_1'] = -1, ['ears_2'] = 0
        },
        female = {
            ['ears_1'] = -1, ['ears_2'] = 0
        }
    },
    watches = {
        male = {
            ['watches_1'] = -1, ['watches_2'] = 0
        },
        female = {
            ['watches_1'] = -1, ['watches_2'] = 0
        }
    }, 
}
```

### Tattoos

You can disable tattoos or add custom tattoos in skinchanger/config-tattoos.lua

### Peds

You can add or remove ped models from skinchanger/config.lua

If you don't need any GTA peds then keep mp\_m\_freemode\_01 & mp\_f\_freemode\_01 and remove others.

### Custom Faces

If you are using addon clothing with custom faces & skin colors, you can set the max value in skinchanger/config.lua

```lua
Config.MaxFaces = {
    male = 45,
    female = 45,
}

Config.MaxSkinColors = {
    male = 15,
    female = 15,
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.menanak47.com/esx/ak47_clothing/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
